<template>
  <div id="languages">
    <div class="language">
      <div class="image" style="background-color: bisque">
        <img src="../assets/java.png"/>
      </div>
      <div class="name">Java</div>
      <div class="description">
        Toutes mes études post-bac se sont basées sur ce langage pour illustrer les différents aspects de la programmation
      </div>
      <a href="https://fr.wikipedia.org/wiki/Java_(langage)" target="_blank" class="more">Plus d'infos <v-icon dark>mdi-arrow-right</v-icon></a>
    </div>

    <div class="language">
      <div class="image" style="background-color: #5B71EB">
        <img src="../assets/php.png"/>
      </div>
      <div class="name">PHP</div>
      <div class="description">
        J'ai commencé à utiliser PHP au sein de l'IUT pendant mon premier stage. Depuis tous mes stages ont utilisé ce langage.
      </div>
      <a href="https://fr.wikipedia.org/wiki/PHP" target="_blank" class="more">Plus d'infos <v-icon dark>mdi-arrow-right</v-icon></a>
    </div>

    <div class="language">
      <div class="image" style="background-color: #48D48E">
        <div style="font-size: 60px; font-weight: 800">JS</div>
      </div>
      <div class="name">JavaScript</div>
      <div class="description">
        J'ai commencé à utiliser le JavaScript pendant mes études à l'IUT. Depuis je l'utilise dans la majorité de mes projets.
      </div>
      <a href="https://fr.wikipedia.org/wiki/JavaScript" target="_blank" class="more">Plus d'infos <v-icon dark>mdi-arrow-right</v-icon></a>
    </div>
  </div>
</template>

<script>
export default {
}
</script>
<style scoped lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');
$primary-color: #5B71EB;

  * {
    font-family: 'Poppins', sans-serif;
  }

  #languages {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    flex-wrap: wrap;
    gap: 20px;
    padding: calc(100vw / 12);
  }

  .language {
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: center;
    border-radius: 20px;
    width: 30%;
    min-width: 250px;
    max-width: 450px;
    padding: 50px 40px 60px 40px;

    & > .more {
      text-decoration: none;
      color: white;
      width: 80%;
      text-align: center;
      background-color: #5B71EB;
      padding: 20px 20px;
      border-radius: 10px;
    }

    &  > .name {
      color: black;
      font-size: 24px;
      font-weight: 600;
      line-height: 1.33;
      margin: 10px 0;
    }

    & > .description {
      text-align: center;
      color:darkslategray;
      font-size: 18px;
      flex-grow: 1;
      line-height: 1.77778;
      margin: 20px;
    }

    & > .image {
      border-radius: 100%;
      height:200px;
      width:200px;
      display: flex;
      margin: 40px;
      justify-content: space-evenly;
      align-items: center;
      & > img {
        width: 130px;
        height: 130px;
        object-fit: cover;
      }
    }
  }

@media (max-width: 960px) {
  .language {
    padding: 25px 20px 30px 20px;
    & > .image {
      width: 150px;
      height:150px;
    }
  }

}

/* mouse, touch pad */
@media (hover: hover) and (pointer: fine) {
  .more {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.5s linear;
  }


  .language:hover{
    box-shadow: 0 10px 30px #D1D1D1;

    & > .more {
      opacity: 1;
      visibility: visible;
    }
    & > .image {
      transform: scale(1.2);
      transition: ease .5s;

    }
  }
}
</style>
